import { Response } from 'express';
import { ErrorResponseData, ValidationError } from '../types';
import { InsufficientPermissionError } from '../types';
export declare const successResponse: <T>(res: Response, data: T, status?: number) => Response<any, Record<string, any>>;
export declare const errorResponse: <T>(res: Response, error: string | ErrorResponseData<T>, status: number) => Response<any, Record<string, any>>;
export declare const notFoundResponse: (res: Response, error: string) => Response<any, Record<string, any>>;
export declare const emptyResponse: (res: Response, status?: number) => Response<any, Record<string, any>>;
export declare const validationErrorResponse: (res: Response, validationError: ValidationError) => Response<any, Record<string, any>>;
export declare const unauthorisedErrorResponse: (res: Response, message?: string) => Response<any, Record<string, any>>;
export declare const insufficientPermissionsResponse: (res: Response, error: InsufficientPermissionError) => Response<any, Record<string, any>>;
