"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readReadableAsString = exports.generateUuid = exports.isNumber = void 0;
const uuid_1 = require("uuid");
const isNumber = (str) => {
    if (typeof str !== 'string') {
        return false;
    }
    if (str.trim() === '') {
        return false;
    }
    return !Number.isNaN(Number(str));
};
exports.isNumber = isNumber;
const generateUuid = () => (0, uuid_1.v4)();
exports.generateUuid = generateUuid;
const readReadableAsStringPromise = (readable) => {
    return new Promise((resolve, reject) => {
        const strings = [];
        readable.on(`data`, (chunk) => {
            strings.push(chunk.toString());
        });
        readable.on(`end`, () => resolve(strings.join()));
        readable.on(`error`, (err) => reject(err));
    });
};
const readReadableAsString = async (readable) => {
    try {
        return await readReadableAsStringPromise(readable);
    }
    catch (e) {
        throw e;
    }
};
exports.readReadableAsString = readReadableAsString;
